Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.common
Class Stamp

    java.lang.Object
      things.common.Stamp

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Receipt

    public class Stamp

extends java.lang.Object
implements java.io.Serializable

A immutable stamp. It is an ID, time, and token identifier. This is safe within this system only. Do not use this for security.

Version:
  1.0

  Version History

      EPG - Initial - 13 OCT 04

Author:
  Erich P. Gatejen
See Also:
  Serialized Form

Constructor Summary
`Stamp()` Default constructor.
`Stamp(WhoAmI callerID, java.lang.String theToken)` Construct with an imposed ID.

Method Summary
`long` | `getTimestamp()` Get the time stamp.
`java.lang.String` | `toString()` Get a string version of the stamp.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Stamp

    public Stamp()
          throws ThingsException

  Default constructor. DO NOT USE! It will throw a ThingsException every time.

  Throws:
    `ThingsException`
  See Also:
    `ThingsException`

### Stamp

    public Stamp(WhoAmI callerID,
                 java.lang.String theToken)
          throws ThingsException

  Construct with an imposed ID.

  Parameters:
    `callerID` - The WhoAmI for the caller.
    `theToken` - Any string token the creator wants to pass.
  Throws:
    `ThingsException`
  See Also:
    `WhoAmI`

Method Detail

### toString

    public java.lang.String toString()

  Get a string version of the stamp.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the textual representation of the stamp.

### getTimestamp

    public long getTimestamp()

  Get the time stamp.

  Returns:
    the timestamp in milliseconds.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.